Redmine - Defect #4575

Missing method: password_min_length and
2010-01-13 20:50 - Rory O

Status: Closed Start date: 2010-01-13
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Latest svn: 3310
When accessing the user control panel or settings, Redmine fails with undefined method 'password_min_length'. Tests also fail with
this as well.

About your application's environment

Ruby version 1.8.7 (1686—-1inux)
RubyGems version 1.3.5

Rack version 1.0

Rails version 2.3.5

Active Record version 2.3.5

Active Resource version 2.3.5

Action Mailer version 2.3.5

Active Support version 20308

Application root

/home/www/redmine

Environment production
Database adapter sglite3

Database schema version 20091227112908
Path:

URL: http://redmine.rubyforge.org/svn/trunk

http://redmine.rubyforge.org/svn
e93f8b46-1217-0410-a6f0-8£f06a7374b81

Repository Root:
Repository UUID:
Revision: 3310
Node Kind: directory

Schedule: normal

Last Changed Author: jplang

3310

2010-01-13 13:29:19 -0600

Last Changed Rev:

Last Changed Date: (Wed, 13 Jan 2010)

Example of a failing test

17) Error:

test: get /news in

BasicLoginTest) :

NoMethodError:
app/models/user.rb:329:in “validate'

:xml format with a valid HTTP authentication should respond with success. (Http

undefined method "password_min_length' for #<Class:0xb71fb44c>

test/object_daddy_helpers.rb:11:in “generate_with_protected!'

/test/integration/http_basic_login_test.rb:22:in

"__bind_1263411740_810313"

/usr/local/lib/ruby/gems/1.
l'

/usr/local/lib/ruby/gems/1.
_current_setup_blocks'

/usr/local/lib/ruby/gems/1.
hl

/usr/local/lib/ruby/gems/1.
_current_setup_blocks'

/usr/local/lib/ruby/gems/1.
t: get /news in

8/gems/thoughtbot-shoulda-2

8/gems/thoughtbot-shoulda-2.
8/gems/thoughtbot—-shoulda-2.

8/gems/thoughtbot-shoulda-2.

8/gems/thoughtbot-shoulda-2

o b0 ¢

10,

10.

10.

o b0 ¢

2/1ib/shoulda/context.rb:369:1in

2/1ib/shoulda/context.rb:369:1in

2/1ib/shoulda/context.rb:368:1in

2/1ib/shoulda/context.rb:368:1

2/1ib/shoulda/context.rb:350:1in

:xml format with a valid HTTP authentication should respond with success. '

‘cal

" run

‘eac

‘run

‘tes
#1 - 2010-01-13 21:01 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Your config/settings.yml is outdated. Please do not make any change to this file.
